%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-soundcloud
Version:        1.3
Release:        5%{?dist}
Summary:        SoundCloud WebApp for Nuvola Player 3
# The entire source code is BSD except src/icon*.svg which is CC-BY
License:        BSD and MIT and CC-BY-SA
URL:            https://github.com/tiliado/nuvola-app-soundcloud
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.11.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of SoundCloud into your Linux desktop via Nuvola Player.

%prep
%setup -q

%build
%configure
%make_build


%install
%make_install

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc CHANGELOG.md README.md
%license LICENSE-BSD.txt LICENSE-CC-BY.txt LICENSE-MIT.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}AppSoundcloud.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppSoundcloud.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/soundcloud/
%{_datadir}/dbus-1/services/%{unique_name}AppSoundcloud.service


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 10 2018 Martin Gansser <martinkg@fedoraproject.org> - 1.3-4
- Rebuilt for new nuvolaruntime-4.11.0 and nuvolasdk-4.11.0

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3-2
- Remove obsolete scriptlets

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.3-1
- initial build
